using Godot;
using RosBridgeClient;
using RosSharp.RosBridgeClient.Protocols;

namespace BITKit;
/// <summary>
/// 使用Godot.Node作为容器的RosClient
/// </summary>
public partial class ROSClientService : Node
{
    public override void _Ready()
    {
        WebSocketNetProtocol protocol = new("ws://");
        RosSharp.RosBridgeClient.RosSocket client = new(protocol);
    }
}